Skip to main content
GET
/
v1
/
admin
/
email-suppressions
List email suppressions (platform-admin)
curl --request GET \
  --url https://api.member.dev/v1/admin/email-suppressions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "email_address": "<string>",
        "is_active": true,
        "reason": "<string>",
        "scope": "<string>",
        "suppressed_at": "<unknown>",
        "hub_id": "<string>",
        "lifted_at": null,
        "lifted_by": "<string>",
        "source_event_type": "<string>",
        "team_id": "<string>"
      },
      "id": "<string>",
      "links": {},
      "type": "email_suppressions"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scope
string | null

Filter by scope: platform | team | hub.

filter[team_id]
string | null
filter[hub_id]
string | null
page[after]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

Collection JSON:API response.

data
SuppressionResource · object[]
required
meta
Meta · object